Fakultas Ilmu Komputer UI

Commit 2522802d authored by Aditya Pratama's avatar Aditya Pratama Committed by Michael Wiryadinata Halim
Browse files

[CHORES]Add readme

parent 593399dc
......@@ -5,15 +5,56 @@
Home Industry is a platform that sell various goods
## Getting Started
## Table of Contents
This project is a starting point for a Flutter application.
- [Install](#install)
- [Running Development Mode](#running-development-mode)
- [References](#references)
- [License](#license)
A few resources to get you started if this is your first Flutter project:
## Install
- [Lab: Write your first Flutter app](https://flutter.dev/docs/get-started/codelab)
- [Cookbook: Useful Flutter samples](https://flutter.dev/docs/cookbook)
This mobile side of the project uses Dart programming language, Flutter for building
environment, and Bloc for building the backend. You need these requirements prior
to building and contributing to the project.
For help getting started with Flutter, view our
[online documentation](https://flutter.dev/docs), which offers tutorials,
samples, guidance on mobile development, and a full API reference.
- [IDE of your choice]()
> Note: For this project we do recommend an Intellij IDEA based IDE like
> Android Studio or Intellij IDEA itself. You can find them at the following links:
> - [Android Studio](https://developer.android.com/studio)
> - [Intellij IDEA](https://www.jetbrains.com/idea/)
- [Dart](https://dart.dev/get-dart)
> Note: As the following instructions show, you can use a package manager to
> easily install and update the Dart SDK. Alternatively, you can [build the SDK
> from source](https://github.com/dart-lang/sdk/wiki/Building)
> or [download the SDK as a zip file](https://dart.dev/tools/sdk/archive).
> We recommend the latest and stable channel builds.
- [Flutter SDK](https://flutter.dev/docs/get-started/install)
> Note: We recommend the latest and stable release of Flutter SDK.
> Follow the tutorial provided to install Flutter SDK in your computer.
> Once installed execute 'flutter doctor' to check if Flutter has been
> successfully installed.
- [Bloc](https://bloclibrary.dev/#/gettingstarted)
> The first thing we need to do is add the bloc package to our `pubspec.yaml`
> as a dependency. Next, to install bloc you run 'flutter packages get' from
> the same directory as your `pubspec.yaml' file.
Once everything is installed you can make sure everything checks out by typing
'flutter doctor' in your terminal.
## Running Development Mode
Once you've installed all the requirements you can run the application using
your IDE. By plugging in your android device on your computer, if you've had
your Dart plugin installed, your IDE will detect it immediately, you just have
to press the Run icon or press 'Shift + F10'.
## References
- [Fasilkom UI Open Source Software > Kape](https://gitlab.cs.ui.ac.id/foss/kape/blob/master/README.md)
## License
Copyright (c) 2020 PPLC4 Team & Faculty of Computer Science Universitas Indonesia.
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment